Package Details: libhandy-git 1.5.90.r0.gc09c150-1

Git Clone URL: https://aur.archlinux.org/libhandy-git.git (read-only, click to copy)
Package Base: libhandy-git
Description: Library full of GTK+ widgets for mobile phones
Upstream URL: https://gitlab.gnome.org/GNOME/libhandy
Keywords: GTK Librem5 mobile phone Purism responsive
Licenses: LGPL
Conflicts: libhandy
Provides: libhandy, libhandy-1.so
Submitter: flipflop97
Maintainer: None
Last Packager: flipflop97
Votes: 5
Popularity: 0.000186
First Submitted: 2018-08-30 13:21 (UTC)
Last Updated: 2022-02-16 13:16 (UTC)

Required by (161)

Sources (1)

Latest Comments

rafaelff commented on 2022-04-06 14:08 (UTC)

==> Extracting sources...
  -> Creating working copy of libhandy git repo...
Cloning into 'libhandy'...
done.
warning: remote HEAD refers to nonexistent ref, unable to checkout.

==> Starting pkgver()...
==> ERROR: pkgver is not allowed to contain colons, forward slashes, hyphens or whitespace.
==> ERROR: pkgver() generated an invalid version: fatal: Not a valid object name HEAD

nucleos commented on 2022-02-20 10:00 (UTC)

An error today, I can't compile the pkg.

==> Starting pkgver()... fatal: Not a valid object name HEAD ==> ERROR: pkgver is not allowed to be empty. ==> ERROR: pkgver() generated an invalid version: -> error making: libhandy-git

jvybihal commented on 2022-02-07 17:46 (UTC)

Hey, package is missing build dependency gi-docgen

WARNING: Unknown keyword arguments in target libhandy-1.vapi: packages
Configuring libhandy.toml using configuration
Found CMake: /usr/bin/cmake (3.22.2)
Build-time dependency gi-docgen found: NO (tried pkgconfig and cmake)
Looking for a fallback subproject for the dependency gi-docgen

libhandy/doc/meson.build:18:0: ERROR: Automatic wrap-based subproject downloading is disabled

A full log can be found at /home/jv/.cache/yay/libhandy-git/src/build/meson-logs/meson-log.txt


rafaelff commented on 2020-11-17 14:33 (UTC)

@flipflop97 yep, it works. Thanks

flipflop97 commented on 2020-11-17 13:59 (UTC)

@rafaelff Try again now ;)

rafaelff commented on 2020-11-17 13:25 (UTC)

check() fails in every tests when building on chroot. Does anyone know how to workaround this?

See full build and check log: http://ix.io/2EsW

flipflop97 commented on 2020-05-14 13:51 (UTC) (edited on 2020-05-14 13:57 (UTC) by flipflop97)

@rhysperry111

Libhandy currently doesn't compile with the newest version of Glade. A pull request is pending but not yet merged:
https://source.puri.sm/Librem5/libhandy/-/merge_requests/451

I made a packages that compiles without glade support which you could use in the meantime:
libhandy-glade-catalog-disabled-git

rhysperry111 commented on 2020-05-14 11:00 (UTC)

Hi, I get an error while building:

../libhandy/glade/glade-hdy-swipe-group.c:48:46: error: ‘GPC_OBJECT_DELIMITER’ undeclared (first use in this function)
   48 |           g_strdup_printf ("%s%s%s", string, GPC_OBJECT_DELIMITER,

flipflop97 commented on 2018-12-16 13:12 (UTC)

@simona Hmm that's strange, I'm not able to reproduce that. You can try building the package with --nocheck and see if the resulting package works correctly. Maybe it's also a good idea to report this to the issue tracker of libhandy itself.

simona commented on 2018-12-16 12:45 (UTC)

3/6 test-dialer-cycle-button FAIL 0.73 s (killed by signal 5 SIGTRAP)

flipflop97 commented on 2018-09-27 11:15 (UTC)

Thanks, added!

yangtsesu commented on 2018-09-25 11:47 (UTC)

make depends on vala